<?php

/* ADDITIONAL OPTIONS
   These options are provided as an easy way to change additional
   settings in the system. Most are detailed on the F.A.Q page in the docs.

   IMPORTANT!! Edit values on right, DO NOT change values in capitals
   
   To prevent selections being overwritten in future versions
   see the F.A.Q in the docs and the following question:
   
   "How Can I Retain Options (control/options.php) in Future Updates?"
========================================================================*/


/* SYSTEM ADMIN FOLDER
   Name of admin folder. You should change this.
-------------------------------------------------------*/
define('ADM_FLDR_NAME', 'admin');

/* AFFILIATE DASHBOARD LIMIT
   Latest payments
   Latest commissions
   Latest referrals
   Set any to 0 to not display
-------------------------------------------------------*/
define('AFF_DASH_PAYMENTS_LIMIT', 5);
define('AFF_DASH_COMMISSIONS_LIMIT', 5);
define('AFF_DASH_REFERRALS_LIMIT', 5);

/* MIN PASSWORD LENGTH
   For auto password generation
-------------------------------------------------------*/
define('MIN_AUTO_PASS_LENGTH', 10);

/* DATA PER PAGE
-------------------------------------------------------*/
define('DEF_PER_PAGE', 25);

/* AFFILIATE GET PARAMETER
   The GET param used to set affiliate cookie. The option
   here is for display purposes in Maian Affiliate. When
   you set up your website you can use your own custom
   parameter
-----------------------------------------------------------------*/
define('AFF_GET_PARAM', 'maff');

/* ENABLE MAIL
   Switches mail ops on or off. Should always be on for live environment
   1 = On, 0 = Off
-------------------------------------------------------*/
define('MAIL_SWITCH', 1);

/* CRON OPTIONS
   Keep cron backup file when backup cron runs
   Send cron backup email: 1 = Yes, 0 = No
-------------------------------------------------------*/
define('KEEP_CRON_BACKUP_FILE', 0);
define('CRON_BACKUP_EMAIL', 1);

/* THOUSANDS SEPARATOR ON PRICES
   Applies to formatting on certain pages..
   Blank for none.
-------------------------------------------------------*/
define('PRICE_THOUSANDS_SEPARATORS', ',');

/* PRICE DECIMAL PLACES
   How many decimal places to show for prices?
-------------------------------------------------------*/
define('PRICE_FORMAT_DECIMAL_PLACES', 2);

/* MAIL X HEADER
   Custom name for mailing system. Default to PHP mailer default
-------------------------------------------------------*/
define('MAIL_X_MAIL_HEADER', 'Affiliate System Mailer');

/* SYSTEM LANGUAGE FOLDERS
   Change only if really necessary
-------------------------------------------------------*/
define('LANG_FLDR_EM', 'email-templates');
define('LANG_FLDR_ADM', 'admin');

/* REFRESH CAPTCHA
   If any form throws at least 1 error
-------------------------------------------------------*/
define('EN_RELOAD_CAPTCHA', 1);

/* FILE UPLOADS
   Specific to file uploads
-------------------------------------------------------*/
define('AFTER_UPLOAD_CHMOD_VALUE', 0644);

/* ALLOWED FILE EXTENSIONS FOR PRODUCT PROMO
   Enter allowed extensions separated by a comma
-------------------------------------------------------*/
define('ALLOWED_PRODUCT_PROMO_EXTENSIONS', 'zip,rar,7z,pdf');

/* CLEAN FILE NAMES FOR PRODUCT PROMO
   If enabled, only alphanmeric,hyphens and underscores are kept
   1 = On, 0 = Off
--------------------------------------------------------------------*/
define('PRODUCT_PROMO_FILE_RENAME', 1);

/* SYSTEM TEMPORARY FOLDER
   Should not be changed unless you know what you are doing
----------------------------------------------------------------------*/
$ini_get = ini_get_all();
define('SYS_TEMP_DIR', (isset($ini_get['upload_tmp_dir']) && ini_get('upload_tmp_dir') && 
  is_dir(ini_get('upload_tmp_dir')) && is_writeable(ini_get('upload_tmp_dir')) ? 
  ini_get('upload_tmp_dir') :
  sys_get_temp_dir()) . DIRECTORY_SEPARATOR
);

?>